# https://github.com/posener/complete

%global goipath github.com/posener/complete

%global common_description %{expand:
A tool for writing bash completion in go, and bash completion for the go
command line.}

Version:        1.2.1

%gometa

Name:           gocomplete
Release:        2%{?dist}
Summary:        A tool for writing bash completion in go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/hashicorp/go-multierror)

%description
%{common_description}

%package -n %{goname}-devel
Summary:       %{summary}
BuildArch:     noarch

Requires:      golang(github.com/hashicorp/go-multierror)
BuildRequires: golang(github.com/hashicorp/go-multierror)

%description -n %{goname}-devel
%{common_description}

This package contains source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup -p1

%build
%gobuildroot
%gobuild -o _bin/gocomplete %{goipath}/gocomplete


%install
%goinstall
install -m 0755 -vd        %{buildroot}%{_bindir}
install -m 0755 -vp _bin/* %{buildroot}%{_bindir}/


%check
%gochecks


%files
%license LICENSE.txt
%doc readme.md
%{_bindir}/gocomplete

%files -n %{goname}-devel -f devel.file-list


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 25 2018 Ed Marshall <esm@logic.net> - 1.2.1-1
- Update to latest upstream release.

* Tue Sep 25 2018 Ed Marshall <esm@logic.net> - 1.1.2-2
- Pull in upstream patch for go 1.11.

* Tue Sep 25 2018 Ed Marshall <esm@logic.net> - 1.1.2-1
- Update to latest upstream release.

* Thu Jul 19 2018 Ed Marshall <esm@logic.net> - 1.1.1-2
- Switch to forge-specific packaging.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 14 2018 Ed Marshall <esm@logic.net> - 1.1.1-0
- Update to 1.1.1.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20170908git88e5976
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 17 2017 Ed Marshall <esm@logic.net> - 0-0.2.20170908git88e5976
* Fix unit-test/devel dependency issue.

* Sat Oct 07 2017 Ed Marshall <esm@logic.net> - 0-0.1.20170908git88e5976
- First package for Fedora
